using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace irisDataBase.Model
{
    public class Person
    {
        long id;
        string delflag;
        DateTime createtime;
        DateTime updatetime;
        string	name;
        string	sex;
        long	deptid;
        string	idCardNo;
        string	remarks;
        string	personType;
        string	personCode;
        string	photo;
        string	oprationId;
        string	duty;
        string	nation;
        DateTime birthday;
        string cardType;

        public long Id
        {
            get
            {
                return id;
            }

            set
            {
                id = value;
            }
        }

        public string Delflag
        {
            get
            {
                return delflag;
            }

            set
            {
                delflag = value;
            }
        }

        public DateTime Createtime
        {
            get
            {
                return createtime;
            }

            set
            {
                createtime = value;
            }
        }

        public DateTime Updatetime
        {
            get
            {
                return updatetime;
            }

            set
            {
                updatetime = value;
            }
        }

        public string Name
        {
            get
            {
                return name;
            }

            set
            {
                name = value;
            }
        }

        public string Sex
        {
            get
            {
                return sex;
            }

            set
            {
                sex = value;
            }
        }

        public long Deptid
        {
            get
            {
                return deptid;
            }

            set
            {
                deptid = value;
            }
        }

        public string IdCardNo
        {
            get
            {
                return idCardNo;
            }

            set
            {
                idCardNo = value;
            }
        }

        public string Remarks
        {
            get
            {
                return remarks;
            }

            set
            {
                remarks = value;
            }
        }

        public string PersonType
        {
            get
            {
                return personType;
            }

            set
            {
                personType = value;
            }
        }

        public string PersonCode
        {
            get
            {
                return personCode;
            }

            set
            {
                personCode = value;
            }
        }

        public string Photo
        {
            get
            {
                return photo;
            }

            set
            {
                photo = value;
            }
        }

        public string OprationId
        {
            get
            {
                return oprationId;
            }

            set
            {
                oprationId = value;
            }
        }

        public string Duty
        {
            get
            {
                return duty;
            }

            set
            {
                duty = value;
            }
        }

        public string Nation
        {
            get
            {
                return nation;
            }

            set
            {
                nation = value;
            }
        }

        public DateTime Birthday
        {
            get
            {
                return birthday;
            }

            set
            {
                birthday = value;
            }
        }

        public string CardType
        {
            get
            {
                return cardType;
            }

            set
            {
                cardType = value;
            }
        }
    }
}
